-- require( "scripts/deftasks.lua" );
-- class домик
GameObject = {
-- основные параметры
    Params = {
        ID="house";
        width=3;
        height=3;
        health=5000;
        hungry=5000;
        thirst=5000;
        GridData = { 
            1,1,0,
            1,1,1,
            1,1,1
        };
    };
    -- точки подхода персонажа
    ActivePoints = { 
        take_cow =   { -10,20,  20,10 };
        eating_cow = { -10,20,  20,10 };
        put_cow =    { -10,20,  20,10 };
    };
    Objects = { };
    -- перечисление всех задач для обьекта
    Tasks = { };
    -- перечисление всех триггеров для обьекта
    Triggers = { };
    --задачи которые начинают выполнятся после создания обьекта
    InitActiveTasks = { };
    --задачи которые обьект ожидает после создания обьекта
    InitExpectedTasks = {};
    -- точки прихода
};
function GameObject:Get()
    return self;
end
function GetParams()
    aObj = GameObject:Get();   
    return aObj.Params;
end
